
typedef int BOOL;
#define EXPORT
#define STR unsigned char
#define CONSTSTR const unsigned char

#include "mdb.h"
BOOL MemoryManagerOpen(char *name);

struct dict {
	void *next;
	STR *key;
	STR *value;
};

void GetAttr(MDBHandle *h, CONSTSTR *object, CONSTSTR *attr);
BOOL SetAttr(MDBHandle *h, CONSTSTR *object, CONSTSTR *attr, CONSTSTR *value);
void ListAttr(MDBHandle *h, const STR *object);

BOOL AddObject(MDBHandle *h, CONSTSTR *object, CONSTSTR *class, struct dict *attrs);
BOOL DelObject(MDBHandle *h, const STR *object, BOOL recurse);

BOOL SetPassword(MDBHandle *h, CONSTSTR *object, CONSTSTR *password);
BOOL GetChildren(MDBHandle *h, const STR *object, const STR *type, const STR *filter);
BOOL GetType(MDBHandle *h, const STR *object);

struct dict *GetDict(char *list[], int items);
